Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Interface WSRP_v1_PortletManagement_PortType

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  WSRPProducer

All Known Implementing Classes:
  PortletManagementEndpoint, WSRPProducerImpl

    public interface WSRP_v1_PortletManagement_PortType

extends java.rmi.Remote

Method Summary
`PortletContext` | `clonePortlet(ClonePortlet clonePortlet)`
`DestroyPortletsResponse` | `destroyPortlets(DestroyPortlets destroyPortlets)`
`PortletDescriptionResponse` | `getPortletDescription(GetPortletDescription getPortletDescription)`
`PropertyList` | `getPortletProperties(GetPortletProperties getPortletProperties)`
`PortletPropertyDescriptionResponse` | `getPortletPropertyDescription(GetPortletPropertyDescription getPortletPropertyDescription)`
`PortletContext` | `setPortletProperties(SetPortletProperties setPortletProperties)`

Method Detail

### getPortletDescription

    PortletDescriptionResponse getPortletDescription(GetPortletDescription getPortletDescription)
                                                     throws AccessDeniedFault,
                                                            InvalidHandleFault,
                                                            InvalidUserCategoryFault,
                                                            InconsistentParametersFault,
                                                            MissingParametersFault,
                                                            InvalidRegistrationFault,
                                                            OperationFailedFault,
                                                            java.rmi.RemoteException

  Throws:
    `AccessDeniedFault`
    `InvalidHandleFault`
    `InvalidUserCategoryFault`
    `InconsistentParametersFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### clonePortlet

    PortletContext clonePortlet(ClonePortlet clonePortlet)
                                throws InvalidUserCategoryFault,
                                       AccessDeniedFault,
                                       OperationFailedFault,
                                       InvalidHandleFault,
                                       InvalidRegistrationFault,
                                       InconsistentParametersFault,
                                       MissingParametersFault,
                                       java.rmi.RemoteException

  Throws:
    `InvalidUserCategoryFault`
    `AccessDeniedFault`
    `OperationFailedFault`
    `InvalidHandleFault`
    `InvalidRegistrationFault`
    `InconsistentParametersFault`
    `MissingParametersFault`
    `java.rmi.RemoteException`

### destroyPortlets

    DestroyPortletsResponse destroyPortlets(DestroyPortlets destroyPortlets)
                                            throws InconsistentParametersFault,
                                                   MissingParametersFault,
                                                   InvalidRegistrationFault,
                                                   OperationFailedFault,
                                                   java.rmi.RemoteException

  Throws:
    `InconsistentParametersFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### setPortletProperties

    PortletContext setPortletProperties(SetPortletProperties setPortletProperties)
                                        throws OperationFailedFault,
                                               InvalidHandleFault,
                                               MissingParametersFault,
                                               InconsistentParametersFault,
                                               InvalidUserCategoryFault,
                                               AccessDeniedFault,
                                               InvalidRegistrationFault,
                                               java.rmi.RemoteException

  Throws:
    `OperationFailedFault`
    `InvalidHandleFault`
    `MissingParametersFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `AccessDeniedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

### getPortletProperties

    PropertyList getPortletProperties(GetPortletProperties getPortletProperties)
                                      throws InvalidHandleFault,
                                             MissingParametersFault,
                                             InvalidRegistrationFault,
                                             AccessDeniedFault,
                                             OperationFailedFault,
                                             InconsistentParametersFault,
                                             InvalidUserCategoryFault,
                                             java.rmi.RemoteException

  Throws:
    `InvalidHandleFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `AccessDeniedFault`
    `OperationFailedFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `java.rmi.RemoteException`

### getPortletPropertyDescription

    PortletPropertyDescriptionResponse getPortletPropertyDescription(GetPortletPropertyDescription getPortletPropertyDescription)
                                                                     throws MissingParametersFault,
                                                                            InconsistentParametersFault,
                                                                            InvalidUserCategoryFault,
                                                                            InvalidRegistrationFault,
                                                                            AccessDeniedFault,
                                                                            InvalidHandleFault,
                                                                            OperationFailedFault,
                                                                            java.rmi.RemoteException

  Throws:
    `MissingParametersFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `InvalidRegistrationFault`
    `AccessDeniedFault`
    `InvalidHandleFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD